#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#    interface_about.py
#       
#    Copyright 2010 Victor Ramirez <virako.9@gmail.com>
#       
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
import gtk

class Interface_about():
    def __init__(self):
        
        # cargamos el archivo creado con glade
        self.gladefile = "gui/about.glade"
        self.glade = gtk.Builder()
        self.glade.add_from_file(self.gladefile)
        
        # cargamos la ventana 
        self.dialog_about = self.glade.get_object("about_dialog")
        
        # cargamos el logo
        gdk_image = gtk.gdk.pixbuf_new_from_file("images/logo.png")
        self.dialog_about.set_logo(gdk_image)
        
        # mostramos la ventana
        self.dialog_about.run()
        
        # conectamos las señales
        self.glade.connect_signals(self)
        
    def dialog_hide(self, widget):
        widget.hide()
    
